Base URL
Authentication
All API requests require authentication using an API key in theAuthorization header:
Response Format
All API responses are returned in JSON format unless otherwise specified.Success Response
Error Response
HTTP Status Codes
Rate Limiting
API requests are rate-limited based on your subscription plan. Rate limit information is included in response headers:X-RateLimit-Limit: Maximum requests allowedX-RateLimit-Remaining: Remaining requests in current windowX-RateLimit-Reset: Time when the rate limit resets (Unix timestamp)
Pagination
List endpoints support pagination using query parameters:page: Page number (default: 1)limit: Items per page (default: 20, max: 100)
Endpoints Overview
Text-to-Speech
POST /tts-synthesize- Convert text to speech
Speech-to-Text
POST /stt- Transcribe audio to textGET /stt/languages- Get supported languages
Voices
GET /voices- List all voices
SDKs
We provide official SDKs for popular programming languages:JavaScript/TypeScript
npm install 60db
Python
pip install 60db